@import "src/assets/styles/00-settings/settings";

.o-gallery {
  position: relative;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  height: calc(100vh - 200px) !important;
  padding: 15px !important;

  &.friends {
    display: flex;
    flex-wrap: wrap;
  }

  .gallery-message {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    font-size: 20px;
    font-weight: 500;
  }

  .item {
    margin: 25px;
    transition: .3s !important;
    box-shadow: $default-shadow;
    padding: 16px;
    background-color: $color-grey;
    border-radius: $default-radius;
    cursor: pointer;

    &:hover {
      transform: scale(1.02);
      box-shadow: 10px 10px 7.5px 0px $color-grey;
    }
  }

  &:after {
    content: "";
    flex: auto;
  }
}

@media screen and (max-width: $L) {
  .o-gallery {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (max-width: $M) {
  .o-gallery {
    grid-template-columns: repeat(1, 1fr);
    height: calc(100vh - 60px) !important;
  }
}

@media screen and (max-width: $S) {
  .o-gallery {
    grid-template-columns: 1fr;
    padding: 0 !important;
  }
}
